#ifndef SAUCER_H
#define SAUCER_H

#include "aitest.h"

class SaucerData;

class Saucer:public QGraphicsItem
{
	public:
		Saucer();
		~Saucer();
		void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget = 0);
		QRectF boundingRect() const;
		void setData(SaucerData *sd);
	private:
		void createPath();
		SaucerData *data;
		QPainterPath *saucerPath;
};




#endif